name: ddns-go
services:
  ddns-go:
    image: jeessy/ddns-go:v6.13.2
    network_mode: bridge
    deploy:
      resources:
        reservations:
          memory: "32M"
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/config
        target: /root
    ports:
      - target: 9876
        published: "9876"
        protocol: tcp
    x-casaos:
      ports:
        - container: "9876"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP 端口
      volumes:
        - container: /root
          description:
            en_us: ddns-go config directory.
            zh_cn: ddns-go 配置目录
    container_name: ddns-go
x-casaos:
  architectures:
    - amd64
    - arm
    - arm64
  author: zxxhz,Cp0204
  category: Network
  description:
    en_us: |
      A simple and easy-to-use DDNS tool. Automatically updates domain name resolution to your public IP (supports Alibaba Cloud, Tencent Cloud, Dnspod, Cloudflare, Callback, Huawei Cloud, Baidu Cloud, Porkbun, GoDaddy, and Google Domain).

      Deploy DDNS-go on Zima, and you can bind the public IP of your Zima device to your domain name. This way, you can access your Zima device via the domain name while you are away.
    zh_cn: | 
      简单好用的 DDNS 工具。自动更新域名解析到公网IP(支持阿里云、腾讯云、Dnspod、Cloudflare、Callback、华为云、百度云、Porkbun、GoDaddy、Google Domain)。

      在 Zima 上部署 DDNS-go， 你可以把你的 Zima 设备对应的公网IP绑定到你的域名上。 这样你在外面就可以通过域名访问你的 Zima 设备了。
  developer: jeessy2 
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Ddns-go/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Ddns-go/screenshot-1.png
  main: ddns-go
  port_map: "9876"
  scheme: http
  tagline:
    en_us: Simple and easy to use DDNS
    zh_cn: 简单好用的DDNS
  title:
    en_us: ddns-go
